<?php
/*
ftsabout.php
Copyright (C) 2008,2009,2010 IN2P3, CNRS

This file is part of Ftsmonitor.

Ftsmonitor is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Ftsmonitor is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Ftsmonitor; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/*
VERSION: '$Id: ftsabout.php,v 1.10 2011/02/11 12:57:17 schwarz Exp $';
AUTHOR: Lionel Schwarz (lionel.schwarz@in2p3.fr)
*/
require("ftsmonitor.classes.php");

print "<html>";
print "<head>";
print "</head>";
print "<body>";
?>
<center>
<?php echo FTSMonitor::getPackageName();?>
<H1>What is FTSMonitor ?</H1>
FTSMonitor is a web-based monitoring system for the <a href="https://twiki.cern.ch/twiki/bin/view/EGEE/FTS">gLite File Transfer Service</a>.
<br>It is intended to be compatible with FTS2 only.
<br>Please read the <a href="ChangeLog">ChangeLog</a> and the <a href="ReleaseNotes">ReleaseNotes</a>.
<br>The latest release <?php echo $latest_release; ?> can be downloaded <a href="https://forge.in2p3.fr/projects/ftsmonitor/files">here</a>.
<H1>Authors</H1>
<img src="logoCC72.gif"/>
<br>FTSMonitor is developped at <a href="http://cc.in2p3.fr">IN2P3-CC/CNRS</a>. 
To contact the authors, please use <i>lionel.schwarz</i> AT <i>in2p3.fr</i>
<H1>License</H1>
<img src="gplv3.png"/>.<br>FTSMonitor is provided under the GNU General Public License that can be read <a href="COPYING">here</a>.
<h1>Credits</h1>
The ability to monitor multiple FTS instances with the same FTSMonitor installation has been added by Steve Traylen (CERN). Steve also provided the RPM package.
<br>Thanks to regular users and testers for their valuable inputs: Stefano Antonelli (CNAF), Josep Flix (PIC), St&eacute;phane Jezequel (LAPP), Ghita Rahal (IN2P3-CC)
<br>Tabs on the "Channel" page are built with <a href="http://jquery.com/">JQuery</a> and <a href="http://jqueryui.com/">JQueryUI</a>
<br>Graphs on the "Channel" page are built with <a href="http://jpgraph.net/">JpGraph</a>
<br>The sort feature on tables was developped from <a href="http://kryogenix.org/code/browser/sorttable/">Stuart Langridge's sorttable script</a>
</center>