<?php
/*
jobdetail.php
Copyright (C) 2008,2009,2010 IN2P3, CNRS

This file is part of Ftsmonitor.

Ftsmonitor is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Ftsmonitor is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Ftsmonitor; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/*
VERSION: '$Id: jobdetail.php,v 1.7 2010/08/26 14:22:45 schwarz Exp $';
AUTHOR: Lionel Schwarz (lionel.schwarz@in2p3.fr)
*/

header("Content-type: text/xml");
echo '<?xml version="1.0"  encoding="utf-8"?>';

require_once('ftsinit.php');

try {
  $jobid = $_REQUEST['jobid'];
    if (!isValidJobId($jobid)) {
      throw new InvalidInputException("This is not a valid job id: \"$jobid\"");
    }
   if (isset($jobid)) {
    init();
    $query = "select " . getTimeInSql('SUBMIT_TIME') . ", MAX_TIME_IN_QUEUE, " . getTimeInSql('FINISH_TIME') . ", " . getTimeInSql('JOB_FINISHED') . ", USER_DN, USER_CRED, SPACE_TOKEN, STORAGE_CLASS ";
    if ($ftsm->conf->currentSchema >= "3.2.0") {
    	$query .= ", SOURCE_SPACE_TOKEN, SOURCE_TOKEN_DESCRIPTION ";
    }
    $query .= ", REASON from " . $ftsm->conf->connSchema . "T_JOB where JOB_ID = '" . $jobid . "' ";
    //$conn = ConnectFts();    
    //$ftsq = new FTS_Query($query);
    $ftsq->setQuery($query);
    //echo $query;
    $r = $ftsq->execute();
    //echo "<job id=\"$jobid\">";
    $r->displayXML('job');
    //echo "</job>";
   }
} catch (Exception $e) {
    echo "<job>";
    echo '<error>' . $e->getMessage() . '</error>';
    echo "</job>";
}
?>
