<?php
/*
channeldetail.php
Copyright (C) 2008,2009,2010 IN2P3, CNRS

This file is part of Ftsmonitor.

Ftsmonitor is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Ftsmonitor is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Ftsmonitor; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/*
VERSION: '$Id: channeldetail.php,v 1.4 2010/05/19 13:36:53 schwarz Exp $';
AUTHOR: Lionel Schwarz (lionel.schwarz@in2p3.fr)
*/

header("Content-type: text/xml");
echo '<?xml version="1.0"  encoding="utf-8"?>';
require_once('ftsinit.php');

try {
  $channelname = $_REQUEST['channel'];
   if (isset($channelname)) {
    if (!isValidChannel($channelname)) throw new InvalidInputException("Invalid channel name: \"$channelname\"");
    init();
    $query = "select AGENT_HOST, T_CHANNEL.* from " . $ftsm->conf->connSchema . "T_CHANNEL, ". $ftsm->conf->connSchema . "T_AGENT  where T_CHANNEL.CHANNEL_NAME = '" . $channelname . "' and T_AGENT.AGENT_NAME = 'channel:" . $channelname . "'";
    //echo $query;
    $ftsq->setQuery($query);
    $r = $ftsq->execute();
    $r->displayXML('channel');
   }
} catch (Exception $e) {
    echo "<channel>";
    echo '<error>' . $e->getMessage() . '</error>';
    echo "</channel>";
}
?>


